function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import classNames from 'classnames';
import { globalConfig } from "../../../pisell-config-provider/context";
import "./index.less";
var Modal;
var setModal = function setModal(m) {
  Modal = m;
};
var genConfig = function genConfig(props) {
  var _globalConfig$getConf = globalConfig.getConfig(),
    platform = _globalConfig$getConf.platform;
  return _objectSpread(_objectSpread({}, props), {}, {
    wrapClassName: classNames('pisell-modal-function-wrap', _defineProperty({}, 'pisell-modal-mobile-function-wrap', platform === 'h5')),
    transitionName: "pisell-move-down",
    cancelButtonProps: _objectSpread({
      block: true,
      size: 'large'
    }, props.cancelButtonProps || {}),
    okButtonProps: _objectSpread({
      block: true,
      size: 'large'
    }, props.okButtonProps || {}),
    icon: null
  });
};
export var info = function info(props) {
  return Modal.info(genConfig(props));
};
export var success = function success(props) {
  return Modal.success(genConfig(props));
};
export var error = function error(props) {
  return Modal.error(genConfig(props));
};
export var warning = function warning(props) {
  return Modal.warning(genConfig(props));
};
export var warn = function warn(props) {
  return Modal.warn(genConfig(props));
};
export var confirm = function confirm(props) {
  return Modal.confirm(genConfig(props));
};
export { setModal };